POST
Add block webhook
Adds a webhook that will result in an HTTP callback at the specified URL from BitGo when events are triggered.
Types of block webhooks:
- Block webhooks will fire when a new block is seen on the coin network.
- Wallet confirmation webhooks will fire when a wallet has been initialized.
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol.
Body Params
object
-
typestring enum requiredblockwallet_confirmation -
urlstring uri requiredURL to fire the webhook to. -
labelstringLabel of the new webhook. -
numConfirmationsintegerNumber of confirmations before triggering the webhook. If 0 or unspecified, requests will be sent to the callback endpoint when the transfer is first seen and when it is confirmed.
Responses
200
OK
Response Body
object
-
typestring enumblockwallet_confirmation -
userIdstring -
idstring -
labelstring -
createdstring date-time -
coinstringA cryptocurrency or token ticker symbol. -
typestring enumEvent type to listen to.txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpireunspentExpirypendingapprovaladdress_confirmationlowFeeblockadmincircuitBreakertransaction_finality_on_l1lowFeeAddressBalancestuckTx -
urlstring uri required -
versioninteger2 for coins running on API v2. -
numConfirmationsinteger -
statestring enumIfactive, indicates the webhook can trigger and send to the URL. Ifsuspended, indicates the webhook can't trigger.activesuspended -
lastAttemptstring date-time -
failingSincestring date-time -
successiveFailedAttemptsinteger -
walletIdstring -
allowBlockedHostsboolean -
allTokenboolean -
txRequestStatesarray of string enumsIf present, only transaction request state changes from the list will trigger notifications. If not present, all transaction request state changes will trigger notifications.initializedpendingApprovalpendingUserCommitmentpendingUserRSharependingUserGSharereadyToSendpendingUserSignaturependingDeliverysigneddeliveredcanceledrejectedfailed -
txRequestTransactionStatesarray of string enumsIf present, only transaction request transaction state changes from the list will trigger notifications. If not present, all transaction request transaction state changes will trigger notifications.initializedpendingSignatureeddsaPendingCommitmenteddsaPendingRShareeddsaPendingGSharereadyToCombineSharessignedhelddeliveredinvalidSignaturerejectedecdsaMPCv2Round1ecdsaMPCv2Round2ecdsaMPCv2Round3 -
identityStatusarray of string enumsIf present, only identity status changes from the list will trigger notifications. If not present, all identity status changes will trigger notifications.approveddeclinedinput errorssn errorgov id errorssn verifiedgov id verifiedevaluating submissionawaiting document uploadrecords uploadedin reviewincomplete verificationsawaiting signaturesignature submittedinitiatingadditional information submitted -
userKycStatearray of string enumsIf present, only user kyc state changes from the list will trigger notifications. If not present, all kyc state changes will trigger notifications.approvedpendingrejected -
enterpriseKycStatearray of string enumsIf present, only enterprise kyc state changes from the list will trigger notifications. If not present, all kyc state changes will trigger notifications.approvedpendingrejected
400
Bad Request
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code